<div class="col-sm-12 mlQuestionText">
  <p>
    Zadana je tablica istinitosti funkcije 4 varijable, potrebno je upisati nule i jedinice na odgovarajuća mjesta u K-tablicu.
    <br/>
    Kada kliknete na ćeliju, u njoj će se pojaviti vrijednosti 0 ili 1.
    Ako je ćelija prazna, na klik se pojavljuje 0.
    Ako je u ćeliji vrijednost 0, klikom će se promijeniti u 1,
    a ako je trenutna vrijednost 1, promijenit će se u 0.
    Na ćelije možete klikati koliko god puta želite.
    <br/>
    Jednom kada su sve ćelije popunjene nulama ili jedinicama (nijedna ne smije ostati prazna) i sigurni ste u svoje rješenje, pritisnite gumb za nastavak.
  </p>

  <div class="col-sm-12">
    <div class="col-sm-4">
       <table class="truthTable mlTableCC mlTableVR2">
        <thead></thead>
        <tbody></tbody>
      </table>
    </div>

    <div class="col-sm-8">
      <br/>
      <br/>
      <div style="text-align: center;">
      <canvas id="kmapCanvas"  width="500" height="300" style="border: solid 1px black"></canvas><br>
      <span class="mlSimAuthor">Autori simulacije: Arijana Brlek, Nino Uzelac</span>
      </div>
    </div>
  </div>

  <script>
  @#page-include#(util.js)
  @#page-include#(cellStateDrawer.js)
  @#page-include#(cell.js)
  @#page-include#(color.js)
  @#page-include#(group.js)
  @#page-include#(kmap.js)
  </script>

  <script>
    var canvas = document.getElementById("kmapCanvas");
    var context = canvas.getContext("2d");

    var konfiguracija = @#raw-text#(jsinitdata);
    var state = {
      leftVariables: konfiguracija.leftVariables,
      upperVariables: konfiguracija.upperVariables,
      elements: konfiguracija.userInput.length > 0 ? konfiguracija.userInput : konfiguracija.elems,
      userInput: konfiguracija.userInput,
      isCellEditable: true,
    };

    fillTable(konfiguracija.table);

    var map = new KMap(state, context);
    map.elementValues = ['0', '1', ''];
    map.draw(canvas, context);

    canvas.addEventListener('mousedown', function(evt) {
      var rect = canvas.getBoundingClientRect();
      var pos = new Point(evt.clientX - rect.left, evt.clientY - rect.top);

      for(var i = 0; i < map.positions.length; i++) {
        for(var j = 0; j < map.positions[i].length; ++j) {
          var p = map.positions[i][j];
          if(pos.x >= p.x && pos.x < p.x + p.size && pos.y >= p.y && pos.y < p.y + p.size) {
              map.cellClick(p);
              map.reset(canvas, context);
              map.draw(canvas, context);
              state.userInput = p.index;
              break;
          }
        }
      }
    }, false);

    function fillTable(data) {
      $('<tr>').appendTo('.truthTable > thead');
      for (var j = 0; j < data[1][1].length; j++) {
        $tr = $('<tr>').appendTo('.truthTable > tbody');
        for (var i = 0; i < data.length; i++) {
          if (j == 0) {
            $('<th>').text(data[i][0]).appendTo('.truthTable > thead > tr');
          }
          $tr.append( $('<td>').html('<code>' + data[i][1][j] + '</code>'))
        }
      }
  };

  function questionCollectUserData() {
    return { userInput: map.elements };
  }

  </script>

</div>
